Cisco ONS15540ESP MIB Support Lists



The below MIBs are supported by the Cisco ONS15540ESP in release 12.1 and later. SNMP version 1 MIBs are in the v1 directory and SNMP version 2 MIBs are in the v2 directory. Note that for most every MIB .my in the v2 directory, there exists a SNMP version 1 conversion of the MIB-V1SMI.my in the v1 directory. The exception is SNMPv2-TC.my. Thanks go to David T. Perkins for his package smicng which was used to produce most of the v1 conversions.


The following is a list of MIBs supoported by the Cisco ONS15540ESP, as of Release 12.1(7a)EY.

CISCO-APS-EXT-MIB.my

CISCO-APS-MIB.my

CISCO-CDL-MIB.my

CISCO-CDP-MIB.my

CISCO-CONFIG-COPY-MIB.my

CISCO-CONFIG-MAN-MIB.my

CISCO-ENTITY-ALARM-MIB.my

CISCO-ENTITY-ASSET-MIB.my

CISCO-ENTITY-EXT-MIB.my

CISCO-ENTITY-FRU-CONTROL-MIB.my

CISCO-ENTITY-SENSOR-MIB.my

CISCO-ENTITY-VENDORTYPE-OID-MIB.my

CISCO-FLASH-MIB.my

CISCO-IF-THRESHOLD-MIB.my

CISCO-IMAGE-MIB.my

CISCO-IP-STAT-MIB.my

CISCO-MEMORY-POOL-MIB.my

CISCO-METRO-PHY-MIB.my

CISCO-NTP-MIB.my

CISCO-OPTICAL-IF-CROSS-CONNECT-MIB.my

CISCO-OPTICAL-IF-EXTN-MIB.my

CISCO-OPTICAL-MONITOR-MIB.my

CISCO-OPTICAL-PATCH-MIB.my

CISCO-OSCP-MIB.my

CISCO-PING-MIB.my

CISCO-PROCESS-MIB.my

CISCO-PRODUCTS-MIB.my

CISCO-RF-MIB.my

CISCO-RF-SUPPLEMENTAL-MIB.my

CISCO-SMI.my

CISCO-SYSLOG-MIB.my

CISCO-TC.my

CISCO-TCP-MIB.my

ENTITY-MIB.my (v2, RFC2037)

EXPRESSION-MIB.my

IANA-ADDRESS-FAMILY-NUMBERS-MIB.my

IANAifType-MIB.my

IF-MIB.my

OLD-CISCO-SYS-MIB.my

OLD-CISCO-TS-MIB.my

PTOPO-MIB.my

RFC1213-MIB.my (MIB-II MIB)

RFC1253-MIB.my (OSPF MIB)

RFC1398-MIB.my (Ethernet MIB)

RFC1595-MIB.myá (Sonet MIB)

RMON-MIB.my

RS-232-MIB.my

SNMPv2-MIB.my

SNMPv2-SMI.my

SNMPv2-TC.my

TCP-MIB.my

UDP-MIB.my